CHANGES IN VERSION 2.41.1
-------------------------

  o Ported changes from 2.40.1

CHANGES IN VERSION 2.40.1
-------------------------

  o Fixed broken dependencies (Biostrings::type is now BiocGenerics::type and BiocGenerics::clusterApply is now parallel::clusterApply).
  
  o Adapted to changes for Roxygen
  
  o Changed from using biomaRt::useMart to biomaRt::useEnsembl

CHANGES IN VERSION 2.27.1
-------------------------

  o DESeq dependency removal

  o Added extra warning about RPKM usage

  o Removed Defunct functions

CHANGES IN VERSION 2.26.0
-------------------------

  o Bioconductor release 3.12

CHANGES IN VERSION 2.25.1
-------------------------

  o Ported changes from 2.24.1

CHANGES IN VERSION 2.24.1
-------------------------

  o Final documentation fix and removal of defunct RangedData unit tests.

CHANGES IN VERSION 2.24.0
-------------------------

  o Bioc release 3.11


CHANGES IN VERSION 2.23.4
-------------------------

  o Ported changed from 2.22.5

CHANGES IN VERSION 2.23.3
-------------------------

  o Ported changed from 2.22.3 & 4

CHANGES IN VERSION 2.23.2
-------------------------

  o Ported changed from 2.22.2

CHANGES IN VERSION 2.23.1
-------------------------

  o Ported changed from 2.22.1

CHANGES IN VERSION 2.22.5
-------------------------

  o Moved the vignette data from the FTP to Git

CHANGES IN VERSION 2.22.4
-------------------------

  o Moved the vignette data retrieval to the biocFileCache

CHANGES IN VERSION 2.22.3
-------------------------

  o Ensured that misformatted gff3 prefix containing extra white space characters are gracefully handled.

CHANGES IN VERSION 2.22.2
-------------------------

  o Fixed a namespace issue

  o Extended the cleanup step of the vignette

CHANGES IN VERSION 2.22.1
-------------------------

  o Added missing steps to the vignette

  o Corrected the RobinsonDelhomme2014 metadata

  o Fixed a bug introduced by a dropped functionality in asMates

  o Updated package version dependencies

CHANGES IN VERSION 2.19.6
-------------------------

  o More fiddling with documentation link warnings on windows

CHANGES IN VERSION 2.19.5
-------------------------

  o Fixed more documentation link warnings on windows

CHANGES IN VERSION 2.19.4
-------------------------

  o Fixed link warnings on windows


CHANGES IN VERSION 2.19.3
-------------------------

  o Changed to use BiocFileCache for the tests and examples

CHANGES IN VERSION 2.19.2
-------------------------

  o Added the volume and page in the citation

  o Added the ImmunoOncology field per request from Bioc core

  o Fixed the documentation warnings on Windows

CHANGES IN VERSION 2.19.1
-------------------------

  o Dropped the RangedData support as these are now deprecated.

CHANGES IN VERSION 2.18.4
-------------------------

  o Changed from curl_download to download.file

CHANGES IN VERSION 2.18.4
-------------------------

  o Bioc core changes

CHANGES IN VERSION 2.18.2
-------------------------

  o Added the ImmunoOncology field per request from Bioc core

  o Added the volume and page in the citation

  o Fixed the documentation warnings on Windows

CHANGES IN VERSION 2.18.1
-------------------------

  o Adapted an example as RangedData objects are being deprecated.

CHANGES IN VERSION 2.15.5
-------------------------

  o Ensured that counting happens in a strand specific way when
  stranded data is provided

  o The easyRNASeq and all related methods are now defunct.

  o Added a BamParam strandProtocol argument value to count reads
  on the reverse strand

  o Removed calls to RangedData constructor defunct parameters in unit tests

  o Removed dependencies to RnaSeqTutorial in unit tests

  o Removed the easyRNASeq vignette. Replaced it with a knitr vignette - to be
  completed.

CHANGES IN VERSION 2.15.4
-------------------------

  o Removed dependencies to RnaSeqTutorial

  o Removed calls to RangedData constructor defunct parameters

CHANGES IN VERSION 2.7.7
-------------------------

  o Ported version 2.6.3 changes

CHANGES IN VERSION 2.7.6
-------------------------

  o Ported version 2.6.2 changes

CHANGES IN VERSION 2.7.5
-------------------------

  o Changes by Bioc Core Dev

CHANGES IN VERSION 2.7.4
-------------------------

  o Changes by Bioc Core Dev

CHANGES IN VERSION 2.7.3
-------------------------

  o Changes by Bioc Core Dev

CHANGES IN VERSION 2.7.2
-------------------------

  o Ported version 2.6.1 changes

CHANGES IN VERSION 2.7.1
-------------------------

 o Changes by Hervé to update the NAMESPACE

CHANGES IN VERSION 2.7.0
-------------------------

  o Original Bioconductor version 3.2

CHANGES IN VERSION 2.6.3
-------------------------

  o Updated the maintainer address

CHANGES IN VERSION 2.6.2
-------------------------

  o Fixed issues with the gff3 synthetic transcript generation. Several
    mRNA lines per mRNA were kept and the feature selection was failing
    for features other than mRNA (e.g. tRNA or miRNA)

  o Extended the SimpleRNASeq vignette

CHANGES IN VERSION 2.6.1
-------------------------

  o Upgraded the dependencies

  o Introduced the new vignette (SimpleRNASeq) structure

  o Fixed a cosmetic issue

  o Corrected man pages

  o Fixed issues with the synthetic transcript generation from gtf file. Thanks
    to Sylvain Foisy for reporting this one.

CHANGES IN VERSION 2.6.0
-------------------------

  o Original Bioconductor version 3.2

CHANGES IN VERSION 2.5.6
-------------------------

  o Ported changes from version 2.4.5 - 2.4.7

  o Added a function to create the synthetic transcripts

  o Deprecated functions fetchAnnotation and knowOrganisms are now defunct

  o Export 'basename', 'seqlevels', 'seqlevels<-' and 'seqnames<-'

CHANGES IN VERSION 2.5.5
-------------------------

  o Ported changed from release version 2.4.4

CHANGES IN VERSION 2.5.4
-------------------------

  o Ported changed from release version 2.4.3

CHANGES IN VERSION 2.5.3
-------------------------

  o Ported changed from release version 2.4.1

  o Adapted to the genomeIntervals API changes (change from seq_name to seqnames and
  addition of the coercion methods to GRanges and consort).

CHANGES IN VERSION 2.5.2
-------------------------

  o Bioc. API changes

CHANGES IN VERSION 2.5.1
-------------------------

  o Bioc. API changes

CHANGES IN VERSION 2.5.0
-------------------------

  o Bioc. Devel Version 3.2

CHANGES IN VERSION 2.4.7
-------------------------

  o Export the SummarizedExperiment accessors: 'colData', 'exptData',
  'rowRanges' and 'seqinfo'

  o Fixed an issue with Ensembl gtf file parsing reported by Elie Antoun.

  o Implemented a minimal sanity check to ensure that at least one genomic
  reference is shared between the BAM and the annotation

CHANGES IN VERSION 2.4.6
-------------------------

  o Corrected a bug when asserting strandedness. Monotypic situations (all
  stranded or all unstranded) were not handled properly. Another catch by
  Michael Dondrup. Thanks again!

CHANGES IN VERSION 2.4.5
-------------------------

  o Corrected a wrong signature for the AnnotParam constructor.

  o Fixed the AnnotParam print method.

CHANGES IN VERSION 2.4.4
-------------------------

  o A GRanges API change has been identified and patched by Michael Dondrup.
  Thanks!

CHANGES IN VERSION 2.4.3
-------------------------

 o Removed an unnecessary IRanges import (aggregate), which has been merged
  with the stats package one.


CHANGES IN VERSION 2.4.2
-------------------------

  o Removed a re-defined fileName generic overwriting a BiocGeneric one that
  broke the build on SnowLeopard

CHANGES IN VERSION 2.4.1
-------------------------

  o Uses rowRanges instead of rowData

  o Fixed issues in the deprecated gene+geneModel counting approach of
  the easyRNASeq function.

  o Updated the package dependencies

  o Adapted the demultiplex function to handle multicore. It is using the
  Shortread srdistance function under the hood, who internally uses bplapply,
  without ever detailing so (?!). As a consequence, it would spawn as many
  jobs as cores are detected and this breaks the vignette processing during
  R CMD check... As a consequence demultiplex got an mc.cores=1L new arguments
  that preserve its former serial approach but enables parallel processing,
  controlled by the user (as it should be!! and not invisibly in the code!)

  o Removed the dependency on locfit (importing what is necessary)

  o Exporting more functions, mostly locfit and DESeq functions

  o Adapted the parameters for the DESeq dispersion plot

CHANGES IN VERSION 2.4.0
-------------------------

  o Bioc. Release Version 3.1

CHANGES IN VERSION 2.3.4
-------------------------

  o Bioc. API changes: added missing imports, removed unneeded imports,
  added a missing package dependency

  o Removed generics now defined in BiocGenerics

CHANGES IN VERSION 2.3.3
-------------------------

  o Bioc. API changes

CHANGES IN VERSION 2.3.2
-------------------------

  o Bioc. API changes

CHANGES IN VERSION 2.3.1
-------------------------

  o Same as release 2.2.1

CHANGES IN VERSION 2.3.0
-------------------------

  o Bioconductor devel 3.1

CHANGES IN VERSION 2.2.1
-------------------------

  o Added (now) missing S4Vectors function imports.

CHANGES IN VERSION 2.2.0
-------------------------

  o Bioconductor release 3.0

CHANGES IN VERSION 2.1.15
-------------------------

  o Removed an apparently unnecessary require call.

CHANGES IN VERSION 2.1.14
-------------------------

  o Fixed a missing documentation link and a missing object documentation
  as well as the move of two objects' (DataFrame, SimpleList) generic from
  IRanges to S4Vectors

CHANGES IN VERSION 2.1.13
-------------------------

  o Bioconductor Core Team changes to underlying packages

CHANGES IN VERSION 2.1.12
-------------------------

  o Bioconductor Core Team changes to underlying packages

CHANGES IN VERSION 2.1.11
-------------------------

  o Fixed more IRanges -> S4Vectors import changes.

  o Relaxed the BAM header validation of the SO field.
  Thanks to John (Zang Jianhua) for finding the issue
  and providing the fix. Same changes as in release 2.0.9.

CHANGES IN VERSION 2.1.10
-------------------------

  o Bioconductor core changes Iranges -> S4Vectors

CHANGES IN VERSION 2.1.9
-------------------------

  o Ported changes from version 2.0.7

CHANGES IN VERSION 2.1.8
-------------------------

  o Ported changes from the release
  version 2.0.5 and 2.0.6

CHANGES IN VERSION 2.1.7
-------------------------

  o Changed to use roxygen 4.0.0

  o Corrected a dependency mismatch.
  Beats me why it did not work in v2.1.6...

CHANGES IN VERSION 2.1.6
-------------------------

  o Corrected a dependency mismatch.

CHANGES IN VERSION 2.1.5
-------------------------

  o Same changes as 2.0.3 and adapted dependencies
  from IRanges to S4Vectors

CHANGES IN VERSION 2.1.4
-------------------------

  o Some haphazard modification from Bioc.

CHANGES IN VERSION 2.1.3
-------------------------

  o Same changes as 2.0.2

CHANGES IN VERSION 2.1.2
-------------------------

  o Completed the previous commit

CHANGES IN VERSION 2.1.1
-------------------------

  o Same changes as 2.0.1

CHANGES IN VERSION 2.1.0
-------------------------

  o None, Bioc new devel branch

CHANGES IN VERSION 2.0.7
-------------------------

  o Made the verbose argument behave as it should

  o Updated/corrected some man pages

  o Added names to the assays SimpleList

CHANGES IN VERSION 2.0.6
-------------------------

  o Export the GenomicRanges SummarizedExperiment class, its
  constructor and its assay accessor method

  o Reduced the memory requirement of the annotation GRanges

  o Added some redirect to avoid some unneccessary output

CHANGES IN VERSION 2.0.5
-------------------------

  o Corrected the handling of gtf files to ensure that exons
  are correctly identified. This required some low level
  functionality changes. A unit test was added to ensure
  consistency. "exon_number" is no more a required gtf field, but
  "exon_id" is.

  o Changed the BamFile validation as now the index has the correct
  .bai extension automatically added in RSamtools.

  o Fixed a bug that hardcoded the transcript summarization when
  using simpleRNASeq.

CHANGES IN VERSION 2.0.4
-------------------------

  o Corrected a data package suggested dependency version
  as data package now follow the same versioning scheme as
  software packages.

CHANGES IN VERSION 2.0.3
-------------------------

  o Ensured package version consistency - had a
  Bioc 2.14 and 3.0 mix when checkin 2.0.2.

CHANGES IN VERSION 2.0.2
-------------------------

  o Added the minimal set of exports for the vignette to
  be built.

  o Fixed some vignette discrepancy with the BiocStyle
  style.

CHANGES IN VERSION 2.0.1
-------------------------

  o Moved the vignette from 1.8.8 to 2.0.1; it was
  overlooked in the 1.99.3 version.

  o Corrected the dependencies to be Bioc 2.14

CHANGES IN VERSION 2.0.0
-------------------------

  o None, Bioc release 2.14

CHANGES IN VERSION 1.99.3
-------------------------

  o Replicated the bug fixing of version 1.8.8.

CHANGES IN VERSION 1.99.2
-------------------------

  o Added missing imports

CHANGES IN VERSION 1.99.1
-------------------------

  o Fixed a bug in the getBamFileList function that prevented reporting
  accurate error/warning messages.

  o Updated the package dependencies.

CHANGES IN VERSION 1.99.0
-------------------------

  o Ported the final changes from the Git
  repository that make the simpleRNASeq function
  functional.

  o Bumped the version number to 1.99 as these are
  major changes and hence next Bioc release will
  have easyRNASeq 2.0.0.

CHANGES IN VERSION 1.9.7
-------------------------

  o Same as release 1.8.7 change.

CHANGES IN VERSION 1.9.6
-------------------------

  o Ported changes from the Git repository
  including further class refinements and
  unit testing.

CHANGES IN VERSION 1.9.5
-------------------------

  o Automatic version number bump by Bioc

CHANGES IN VERSION 1.9.4
-------------------------

  o Mirrored changes in version 1.8.6

CHANGES IN VERSION 1.9.3
-------------------------

  o Mirrored changes in version 1.8.5

CHANGES IN VERSION 1.9.2
-------------------------

  o Ported version 1.8.4 changes to the development version

  o Started to import new classes from the git repository as part of the
  package main function re-implementation

CHANGES IN VERSION 1.9.1
-------------------------

  o Change from Bioc to insert GenomicAlignments

CHANGES IN VERSION 1.9.0
-------------------------

  o No changes, new development version

CHANGES IN VERSION 1.8.8
-------------------------

  o Corrected a typo in a function to get the names from a
  RangedData annotation. Thanks to Sylvain Foisy for
  reporting it and providing feedback to squash it.

CHANGES IN VERSION 1.8.7
-------------------------

  o Fixed a bug in the summarization when using the
  "genes", "geneModels" paradigm and annotation in the
  older RangedData format. Thanks to Kelly Stanton for
  reporting it and providing data to squash it.

CHANGES IN VERSION 1.8.6
-------------------------

  o Fixed an issue where RPKM values were all set to NAs. Thanks to Vijaya
  Mahalingam Shanmugiah for reporting that issue.

  o Fixed a number of warnings introduced by changes to the underlying IRanges
  package.

CHANGES IN VERSION 1.8.5
-------------------------

  o Added a check for handling cases where BAM files do not report the
  number of alignments through the NH tag. Thanks to Alistair Chalk
  for spotting that one.

CHANGES IN VERSION 1.8.4
-------------------------

  o Added a check to filter bai file from the files gathered by the pattern
  argument.

  o Added a check for multi-mapping reads.

  o Added a deprecation warning for count='genes', summarization='geneModels'.

  o Extended the vignette, with details on the annotation warnings and
  how to resolve them. Added an FAQ section.

  o Modified the annotation warning, redirecting to the new vignette section
  on how to resolve these.

  o Switched to BiocStyle for the vignette.

CHANGES IN VERSION 1.8.3
-------------------------

BUG FIXES

  o Changed one argument name of the fetchAnnotation function to avoid
  arguments colliding when providing additional arguments to be passed
  to DESeq through the ... argument. The argument has been renamed from
  'method' to 'annotationMethod'.

CHANGES IN VERSION 1.8.2
-------------------------

  o Reworked the parsing of gtf formatted files.

  o Added a few more sanity checks in the easyRNASeq
  function.

  o Added a use case to the vignette to show how to
  generate and use synthetic transcripts rather than
  "gene models".

  o Corrected a bug when exporting a SummarizedExperiment
  for "transcrips" and "geneModels" count methods.

CHANGES IN VERSION 1.8.1
-------------------------

	o Imported changes that were lost from version 1.6.4

	o Adapted the dependencies version to match the
	Bioconductor release version 2.13

	o Switched to use GAlignments instead of
	GappedAlignments

	o Corrected 2 Notes occuring during R CMD check that
	had to do with the DESCRIPTION Depends and Enhances
	fields and the use of pkg:::name vs. pkg::name

	o Added Bastian Schiffthaler as an author

CHANGES IN VERSION 1.8.0
-------------------------

  o No changes, Bioconductor release version 2.13

CHANGES IN VERSION 1.7.0
-------------------------

  o No changes, Bioconductor development version 2.13

CHANGES IN VERSION 1.6.4
-------------------------

  o Made the plotDispLSD function visible (now proporly
exported)

CHANGES IN VERSION 1.6.3
-------------------------

  o Added a plotDispLSD function that adds a density
  estimate color map to the DESeq plotDispEsts function.

CHANGES IN VERSION 1.6.2
-------------------------

  o Released the constraint on the gtf annotation file
  parsing to allow for gtf file without the "exon_number"
  attribute such as those retrieved from UCSC.

CHANGES IN VERSION 1.6.1
-------------------------

  o Adapted the package dependency

  o Added a check to stop processing whenever
  annotation are outside of the chromosomes.

CHANGES IN VERSION 1.6.0
-------------------------

  o No changes, Bioconductor release version 2.12

CHANGES IN VERSION 1.5.1
-------------------------
	o Adapted the dependencies version to match the
	Bioconductor release version 2.11

BUG FIXES

    o corrected an innapropriate function call to an internal
    function (as in stable version 1.4.2)

CHANGES IN VERSION 1.5.0
-------------------------

	o No changes, Bioconductor development version 2.12

CHANGES IN VERSION 1.4.2
-------------------------

BUG FIXES

    o corrected an innapropriate function call to an internal function

CHANGES IN VERSION 1.4.1
-------------------------

	o Adapted the dependencies version to match the
	Bioconductor release version 2.11

CHANGES IN VERSION 1.4.0
-------------------------

	o No changes, Bioconductor release version 2.11

CHANGES IN VERSION 1.3.14
-------------------------

NEW FEATURES

    o easyRNASeq now returns a SummarizedExperiment in
    an effort to consolidate the objects used for Next
    Generation Sequencing in Bioconductor. This is the
    new default of the count function. The count function
    is a new function to supersed easyRNASeq in the coming
    development version (1.5.x) to consolidate the
    parameters and output of the easyRNASeq function.

BUG FIXES

    o corrected a validity check that went permissive.
    o changed the print method to display the read length
    range when dealing with variable read lengths rather
    than every single value.

CHANGES IN VERSION 1.3.13
-------------------------

BUG FIXES

    o Same correction as in the stable version 1.2.5,
    but for those already corrected in version 1.3.3.

CHANGES IN VERSION 1.3.12
-------------------------

    o Providing the 'outputFormat' argument is not
    necessary anymore, it defaults to matrix (i.e. count
    table).

    o Relaxed the gtf file checking. If the gene_name is
    absent, the gene_id is used instead.

    o Improved some reporting and remove a bottle-neck
    occuring when there are many sequences in the reference.

BUG FIXES

    o Ensure that only the matched ranges are returned when
    reading gapped alignments.

    o The library size is more exactly calculated and is the
    number of aligned reads.

    o Corrected a bug in the validity checking that prevented
    bam files created by different aligners using the same
    reference to be processed as the reference sequences were
    not ordered in the same fashion.

CHANGES IN VERSION 1.3.11
-------------------------

BUG FIXES

    o Fixed a bug in the gtf file handling reported
    by Mark Robinson.

CHANGES IN VERSION 1.3.10
-------------------------

    o Some vignette discrepancies have been corrected.
    Thanks to Richard Friedman for spotting them.

    o Providing the 'filesDirectory' argument is not
    necessary anymore, if the files to proceed are
    present in the current directory. Indeed, this parameter
    now defaults to the current directory as can be found out
    using 'getwd()'.

BUG FIXES

    o Fixed a bug introduced by a change in the IRanges
    coverage function return value.

CHANGES IN VERSION 1.3.9
-------------------------

    o Added the manuscript citation.

    o Updated the package version dependencies.

BUG FIXES

    o Improved the support for reads of different lengths.

    o A cosmetic change to report read lengths as well when
    read files with variable read length are processed.

    o Corrected a bug and enhanced the loading of gtf annotation
    files. Thanks to Tomasz Kulinski for spotting the issue and
    providing the dataset to reproduce it.

CHANGES IN VERSION 1.3.8
-------------------------
NEW FEATURES

    o Now bam files can be processed in parallel (long time
    request from Wade Davis). If the easyRNASeq argument 'nbCore'
    is greater than 1 (1 being the default), then that many core
    will be used to process the read files in parallel.
    Pay attention not to use too many cores and have enough
    memory available. The memory load scales up linearly with
    the number of files processed.

CHANGES IN VERSION 1.3.7
-------------------------
NEW FEATURES

    o easyRNASeq now supports read of different lenghts. Thanks
    to Mark Robinson for the toy dataset.

    o Added a function that lists existing organism conversion
    when applying the validity checks.

    o Added a bp.coverage to the fetchCoverage function that
    defaults to FALSE. To allow for variable length reads, it
    now returns read coverage proportion per bp by default.

    o Added additional checks in the .checkArguments internal
    function.

BUG FIXES

    o Not a real bug, but more a consolidation. When an organism is
    unknown and no custom.map is provided, then the validity checks
    are turned off and a warning is emitted.

    o Providing the chr.sizes as as list has been deprecated.
    Only named numeric vector are supported.

    o Removed a now useless warning in the .readGffGtf function.

    o Modified the RPKM function generic to avoid using a 'protected'
    word as argument: i.e. 'unique' was replaced by 'simplify'

CHANGES IN VERSION 1.3.6
-------------------------
NEW FEATURES

    o It is now possible to pass arguments to list files through the
    three dots. I.e. setting recursive=TRUE is now possible.

BUG FIXES

    o Corrected a bug in the .getArguments internal function.

CHANGES IN VERSION 1.3.5
-------------------------

NEW FEATURES

    o bam is now the default format for the easyRNASeq method.
    o chromosome sizes are now extracted from the BAM header
    when the 'chr.sizes' argument is set to "auto". Thanks to
    Simon Anders for pushing that off my TODO list and the nice
    implementation.

BUG FIXES

    o Adapted to an API change of the edgeR package for estimating
    the tagwise dispersion.

CHANGES IN VERSION 1.3.4
-------------------------

NEW FEATURES

    o Added an additional validity check for chromosome names
    Thanks to Simon Anders for generating a reproducible use-case for that.
    Same change as in the stable version 1.2.3

    o Ensure that gtf with non Ensembl ID are correctly parsed as well.


CHANGES IN VERSION 1.3.3
-------------------------

    o Converted the package to use Roxygen2, a Doxygen like in-source
    documentation system for generating the RD and NAMESPACE. The
    original man page were converted using the Rd2roxygen package and
    the resulting in-source documentation manually edited.

NEW FEATURES

    o Added a type accessor for Genome_intervals object
    o Added a coercion to GRangesList from Genome_intervals
    object

BUG FIXES

    o Adapted to the new arguments of the edgeR estimateTagwiseDisp
    function
    o Removed the dispersion.method argument from the plotMeanVar edgeR
    method call as this argument is defunct.

CHANGES IN VERSION 1.3.2
-------------------------

BUG FIXES

    o Corrected a bug that was considering a GTF file as a GFF file.
    Thanks to Simon Anders for spotting this.

CHANGES IN VERSION 1.3.1
-------------------------

NEW FEATURES

    o Added an enhanced read length check (same as stable 1.2.1 change)

CHANGES IN VERSION 1.3.0
-------------------------

    o New development version for Bioconductor 2.11

CHANGES IN VERSION 1.2.5
-------------------------

BUG FIXES

    o Corrected a bug in the condition file name checking.
    o When using edgeR, it was not possible to de-activate
    the drawing of the quality assessment plots.
    o Some edgeR changes to the API have been ported to the
    stable R version, should not have occured... The following
    are changes that adapt to that new API, changes ported from
    version the easyRNASeq development version 1.3.3...
    o Adapted to the new arguments of the edgeR
    estimateTagwiseDisp function
    o Removed the dispersion.method argument from the plotMeanVar
    edgeR method call as this argument is defunct.

CHANGES IN VERSION 1.2.4
-------------------------

    o Added the manuscript citation.
    o Updated the package version dependencies.

CHANGES IN VERSION 1.2.3
-------------------------

NEW FEATURES

    o Added an additional validity check for chromosome names
    Thanks to Simon Anders for generating a reproducible use-case for that.

    o Ensure that gtf with non Ensembl ID are correctly parsed as well.

CHANGES IN VERSION 1.2.2
-------------------------

BUG FIXES

    o Corrected a bug that was considering a GTF file as a GFF file.
    Thanks to Simon Anders for spotting this.

CHANGES IN VERSION 1.2.1
-------------------------

NEW FEATURES

    o Added an enhanced read length check

CHANGES IN VERSION 1.2.0
-------------------------

	o Stable version released as part of Bioconductor 2.10

CHANGES IN VERSION 1.1.10
-------------------------

NEW FEATURES

    o Added a naPositionFilter extending ShortRead srFilters

BUG FIXES

    o Worked on Wade Davis case with 3 different sets of chromosome
    names in the three different input (reads, annotation, chromosome
    sizes)

    o Worked on smoother error handling when not using bam
    files. Again through Wade Davis example

    o Ensured that chromosome names conversion occurs whether provided
    with a factor or a character vector

    o extended the NAMESPACE

CHANGES IN VERSION 1.1.9
------------------------

BUG FIXES

    o Added an \alias{RNAseq} to ease the class documentation access;
    an H.Pages suggestion

    o Changed the DESCRIPTION file to make sure that the latest
    ShortRead (1.13.13) and BiocGenerics (0.1.11) package are required

CHANGES IN VERSION 1.1.8
------------------------

BUG FIXES

    o Corrected the last occurence of the deprecated matchMatrix call

    o Corrected an issue on windows raised by the parallel
    package. Thanks to Wade Davis for pointing that one out.

CHANGES IN VERSION 1.1.7
------------------------

BUG FIXES

    o Fixed the NAMESPACE and the vignette generation

CHANGES IN VERSION 1.1.6
------------------------

BUG FIXES

    o Thanks to Francesco Lescai, a bug was fixed. Namely I was not
    expecting the chromosome names in the bam files and in the
    chromosome name lists to be two different set with a common
    intersect. I always consider that one would be the subset of the
    other one. Now, when such situation occurs only the common set is
    kept and used for the calculations.

    o Herve Pages changed the findOverlaps value. It is now an object
    of the Hits class that does not support the matchMatrix accessor
    anymore. The code was adapted to the new accessor queryHits.

    o Corrected the package structure to add a vignettes
    sub-directory. Moved the relevant files there

CHANGES IN VERSION 1.1.5
------------------------

BUG FIXES

    o Removed the fitInfo method extension to the DESeq package as it
    as been implemented in that package

    o Reworked the plotDispersionEstimates and
    .normalizationDispatcher function to deal with the new fitInfo
    function (the information is stored in an environment rather than
    in a list)

CHANGES IN VERSION 1.1.4
------------------------

    o Package introduced in Bioconductor
